Skip to content
Start here

Update an AI Gateway Dynamic Route.

client.AIGateway.DynamicRouting.Update(ctx, gatewayID, id, params) (*DynamicRoutingUpdateResponse, error)
PATCH/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}

Update an AI Gateway Dynamic Route.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
gatewayID string
id string
params DynamicRoutingUpdateParams
AccountID param.Field[string]

Path param

Name param.Field[string]

Body param

ReturnsExpand Collapse
type DynamicRoutingUpdateResponse struct{…}
Route DynamicRoutingUpdateResponseRoute
ID string
AccountTag string
CreatedAt Time
formatdate-time
Deployment DynamicRoutingUpdateResponseRouteDeployment
CreatedAt string
DeploymentID string
VersionID string
Elements []DynamicRoutingUpdateResponseRouteElement
One of the following:
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs DynamicRoutingUpdateResponseRouteElementsObjectOutputs
Type DynamicRoutingUpdateResponseRouteElementsObjectType
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs DynamicRoutingUpdateResponseRouteElementsObjectOutputs
False DynamicRoutingUpdateResponseRouteElementsObjectOutputsFalse
ElementID string
True DynamicRoutingUpdateResponseRouteElementsObjectOutputsTrue
ElementID string
Properties DynamicRoutingUpdateResponseRouteElementsObjectProperties
Conditions unknownoptional
Type DynamicRoutingUpdateResponseRouteElementsObjectType
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs map[string, DynamicRoutingUpdateResponseRouteElementsObjectOutput]
ElementID string
Type DynamicRoutingUpdateResponseRouteElementsObjectType
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs DynamicRoutingUpdateResponseRouteElementsObjectOutputs
Fallback DynamicRoutingUpdateResponseRouteElementsObjectOutputsFallback
ElementID string
Success DynamicRoutingUpdateResponseRouteElementsObjectOutputsSuccess
ElementID string
Properties DynamicRoutingUpdateResponseRouteElementsObjectProperties
Key string
Limit float64
LimitType DynamicRoutingUpdateResponseRouteElementsObjectPropertiesLimitType
One of the following:
const DynamicRoutingUpdateResponseRouteElementsObjectPropertiesLimitTypeCount DynamicRoutingUpdateResponseRouteElementsObjectPropertiesLimitType = "count"
const DynamicRoutingUpdateResponseRouteElementsObjectPropertiesLimitTypeCost DynamicRoutingUpdateResponseRouteElementsObjectPropertiesLimitType = "cost"
Window float64
Type DynamicRoutingUpdateResponseRouteElementsObjectType
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs DynamicRoutingUpdateResponseRouteElementsObjectOutputs
Fallback DynamicRoutingUpdateResponseRouteElementsObjectOutputsFallback
ElementID string
Success DynamicRoutingUpdateResponseRouteElementsObjectOutputsSuccess
ElementID string
Properties DynamicRoutingUpdateResponseRouteElementsObjectProperties
Model string
Provider string
Retries float64
Timeout float64
Type DynamicRoutingUpdateResponseRouteElementsObjectType
type DynamicRoutingUpdateResponseRouteElementsObject struct{…}
ID string
Outputs map[string, DynamicRoutingUpdateResponseRouteElementsObjectOutput]
ElementID string
Type DynamicRoutingUpdateResponseRouteElementsObjectType
GatewayID string
ModifiedAt Time
formatdate-time
Name string
Version DynamicRoutingUpdateResponseRouteVersion
Active DynamicRoutingUpdateResponseRouteVersionActive
One of the following:
const DynamicRoutingUpdateResponseRouteVersionActiveTrue DynamicRoutingUpdateResponseRouteVersionActive = "true"
const DynamicRoutingUpdateResponseRouteVersionActiveFalse DynamicRoutingUpdateResponseRouteVersionActive = "false"
CreatedAt string
Data string
VersionID string
Success bool

Update an AI Gateway Dynamic Route.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  dynamicRouting, err := client.AIGateway.DynamicRouting.Update(
    context.TODO(),
    "54442216",
    "54442216",
    ai_gateway.DynamicRoutingUpdateParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
      Name: cloudflare.F("Route Name"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", dynamicRouting.Route)
}
{
  "route": {
    "id": "id",
    "account_tag": "account_tag",
    "created_at": "2019-12-27T18:11:19.117Z",
    "deployment": {
      "created_at": "created_at",
      "deployment_id": "deployment_id",
      "version_id": "version_id"
    },
    "elements": [
      {
        "id": "id",
        "outputs": {
          "next": {
            "elementId": "elementId"
          }
        },
        "type": "start"
      }
    ],
    "gateway_id": "gateway_id",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "version": {
      "active": "true",
      "created_at": "created_at",
      "data": "data",
      "version_id": "version_id"
    }
  },
  "success": true
}
Returns Examples
{
  "route": {
    "id": "id",
    "account_tag": "account_tag",
    "created_at": "2019-12-27T18:11:19.117Z",
    "deployment": {
      "created_at": "created_at",
      "deployment_id": "deployment_id",
      "version_id": "version_id"
    },
    "elements": [
      {
        "id": "id",
        "outputs": {
          "next": {
            "elementId": "elementId"
          }
        },
        "type": "start"
      }
    ],
    "gateway_id": "gateway_id",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "version": {
      "active": "true",
      "created_at": "created_at",
      "data": "data",
      "version_id": "version_id"
    }
  },
  "success": true
}